Bug 1568849 - Test test_routers_dvr.RoutersTestDVR.test_centralized_router_update_to_dvr failed after upgrade
Summary: Test test_routers_dvr.RoutersTestDVR.test_centralized_router_update_to_dvr fa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: zstream
: 9.0 (Mitaka)
Assignee: Slawek Kaplonski
QA Contact: Martin Kopec
URL:
Whiteboard:
Depends On:
Blocks: 1568880
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:22 UTC by Yurii Prokulevych
Modified: 2018-10-02 18:51 UTC (History)
8 users (show)

Fixed In Version: openstack-tempest-10.0.0-9.b4a056dgit.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 18:50:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 391669 0 None None None 2018-04-18 10:28:43 UTC
OpenStack gerrit 392958 0 None None None 2018-04-18 10:28:08 UTC
OpenStack gerrit 396833 0 None None None 2018-08-16 09:50:03 UTC
Red Hat Product Errata RHBA-2018:2850 0 None None None 2018-10-02 18:51:01 UTC

Description Yurii Prokulevych 2018-04-18 10:22:37 UTC
Description of problem:
-----------------------
Tempest run on upgraded system, RHOS-8 to RHOS-9 on RHEL-7.5, failed:
Traceback (most recent call last):
  File "/home/stack/tempest_9/tempest/api/network/admin/test_routers_dvr.py", line 105, in test_centralized_router_update_to_dvr
    router['router']['id'], distributed=True)
  File "/home/stack/tempest_9/tempest/services/network/json/routers_client.py", line 55, in update_router
    return self._update_router(router_id, set_enable_snat=False, **kwargs)
  File "/home/stack/tempest_9/tempest/services/network/json/routers_client.py", line 46, in _update_router
    return self.update_resource(uri, update_body)
  File "/home/stack/tempest_9/tempest/lib/services/network/base.py", line 68, in update_resource
    resp, body = self.put(req_uri, req_post_data)
  File "/home/stack/tempest_9/tempest/lib/common/rest_client.py", line 322, in put
    return self.request('PUT', url, extra_headers, headers, body)
  File "/home/stack/tempest_9/tempest/lib/common/rest_client.py", line 642, in request
    resp, resp_body)
  File "/home/stack/tempest_9/tempest/lib/common/rest_client.py", line 758, in _error_checker
    message=message)
tempest.lib.exceptions.NotImplemented: Got NotImplemented error
Details:




Steps to Reproduce:
-------------------
1. Run tempest against upgraded system
    infrared tempest -v \
        -o test2.yml \
        --setup rpm \
        --openstack-installer tripleo \
        --openstack-version 9 \
        --dir tempest_9 \
        --tests full \
        --results-formats junitxml,html

Additional info:
----------------
Virtual setup: 3controllers + 2computes + 3ceph

Comment 2 Brian Haley 2018-08-13 13:38:49 UTC
Assigning to Slawek for investigation.

Comment 3 Slawek Kaplonski 2018-08-14 15:35:41 UTC
This issue is caused because of configuration of neutron server. Option "l3_ha" is set in test job to True. This is default value for "ha" attribute of each new router if "ha" is not passed in POST request. So in test which is failing here, it is not passed: https://github.com/openstack/tempest/blob/11.0.0/tempest/api/network/test_routers.py#L400 - default value is taken and router is set as HA router.
In Mitaka, Neutron doesn't support migration from HA to distributed: https://github.com/openstack/neutron/blob/mitaka-eol/neutron/db/l3_hamode_db.py#L490 and because of that this issue is raised.

This is fixed in U/S tempest and we need to backport few patches to our D/S repository:

https://review.openstack.org/#/c/391669/
https://review.openstack.org/#/c/392958/
https://review.openstack.org/#/c/396833/

Comment 4 Slawek Kaplonski 2018-08-16 09:55:48 UTC
Scratch build of tempest for OSP-9 with additional patches done: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=17908587

Comment 11 Martin Kopec 2018-08-28 17:22:27 UTC
openstack-tempest-10.0.0-9.b4a056dgit.el7ost.noarch is available in the latest repo for RHOS-9.

When I downgraded to openstack-tempest-10.0.0-8 I was able to reproduce the issue, however with openstack-tempest-10.0.0-9.b4a056dgit.el7ost.noarch package the test passed -> the new package contains the fix for the reported issue and therefore I'm moving the bug to VERIFIED.

Comment 13 errata-xmlrpc 2018-10-02 18:50:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2850


Note You need to log in before you can comment on or make changes to this bug.